<!DOCTYPE html>

{% load static %}
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.js"></script>
    <script src="js/validaciones.js"></script>
    <link href="https://fonts.googleapis.com/css?family=Montserrat:300,400,600|Open+Sans' " rel="stylesheet ">
    <link rel="stylesheet" href=" https://use.fontawesome.com/releases/v5.5.0/css/all.css ">
    
    <link rel="stylesheet" href={% static 'css/popup.css' %}>
    <link rel="stylesheet" href={% static 'css/lol.css' %}>

    <link rel="stylesheet" href={% static 'css/flexboxgrid.css' %}>
     <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css">
   <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" />

	<link href="http://fonts.googleapis.com/css?family=Cookie" rel="stylesheet" type="text/css">
</head>

<body>
    <header class="header">
        <div class="container logo-nav-conteiner">
            <img src={% static 'img/bele.png' %} id="bele" alt="" class="logo">
            <span class="menu-icon">Menu</span>
            <nav class="navigation">
                <ul>
                    <li><a href="{% url 'index' %}">Inicio</a></li>
                    <li><a href="{% url 'nosotros' %}">Conócenos</a></li>
                    <li><a href="{% url 'consultar' %}">Consultas </a></li>
                      <li> <a href="#!" id="btn-abrir-popup"><i class="fa fa-user" id="btn-abrir-popup" aria-hidden="true"></i> Log In</a></li>
                    </button>
                </ul>
            </nav>
            </a>
        </div>
    </header>
<center>
    <main class="main fondo">
        <div class="container">
            <form id="formulario" action="/crear/" method="POST">
                {% csrf_token %}
                <h1>Registrate</h1>

                <label>Ingrese su nombre completo:</label>
                <input type="text" value="" id="nombre" name="nombre" placeholder="Nombre Completo" required="required">

                <label>Ingrese su correo Electronico:</label>
                <input type="email" value="" id="correo" name="correo" placeholder="Correo Electronico"
                    required="required">

                <label>Ingrese edad:</label>
                <input type="number" value="" min="12" max="100" size="3" step="1" id="edad" name="edad" pattern="\d+"
                    placeholder="Edad" required="required">

                <label>Nombre de usuario:</label>
                <input type="text" value="" id="usuario" name="usuario" placeholder="Nombre Usuario"
                    required="required">

                <label>Ingrese contraseña:</label>
                <input type="password" value="" id="pass1" name="pass1" placeholder="Contraseña" required="required">

                <label>Reingrese Contraseña</label>
                <input type="password" value="" id="pass2" name="pass2" placeholder="Repetir Contraseña"
                    required="required">
                    <p><label>Genero</label></p>
                    <p>
               <select name="genero" id="genero">
           <option>Masculino</option>
            <option>Femenino</option>
              </select></p>

               <p> <input id="boton" type="submit" value="Registrarse" class="button" id="btnRegistrar"></p>
                  <button class="btn btn-danger google-btn social-btn boton" onclick="location.href='{%  url 'social:begin' 'google-oauth2' %}'" type="button"><span><i class="fab fa-google-plus-g"></i> Logearse con Google</span> </button>
            </form>
        </div>

        </div>
        <br>
        <br>
    </main>

    
   <div class="overlay" id="overlay">
        <div class="popup" id="popup">
            <a href="#" id="btn-cerrar-popup" class="btn-cerrar-popup"><i class="fas fa-times"></i></a>
            <form action="/logear/" method="POST">
                {% csrf_token %}
                <h1>Iniciar Sesión</h1>
                <div class="contenedor-inputs">
                    
                    <input type="text" id="usuarioL" name="usuarioL" placeholder="Usuario">
                    <input type="password" id="passL" name="passL" placeholder="Constraseña">
                </div>
                <p><a href=/logear> <input type="submit" class="btn-submit" value="Iniciar sesión"></a></p>
                <p>
                 <button class="btn btn-danger google-btn social-btn boton" onclick="location.href='{%  url 'social:begin' 'google-oauth2' %}'" type="button"><span><i class="fab fa-google-plus-g"></i> Logearse con Google</span> </button>
                 </p>
                <a href="{% url 'registro' %}">
                    <p>Registrarse</p>
                </a>
            </form>
           
        </div>
         <br>
    </div>

</center>
    <footer class="footer">
        <hr>
        <div class="container">
            Contactos:
            <p> <img src={% static 'img/4.png' %} alt=""> +56 2 2232 76 23
                <img src={% static 'img/3.png' %} alt=""> beleconstrucciones@Gmail.com
            </p>
        </div>

        
    </footer>
    <script src={% static 'js/jquery-3.4.1.js' %}></script>
    <script src={% static 'js/js.js' %}></script>
    <script src={% static 'js/popup.js' %}></script>
    </footer>
</body>
</html>